iterator.hh File Reference
`#include <mia/2d/vector.hh>`
Include dependency graph for 2d/iterator.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | std::iterator_traits< mia::range2d_iterator< I > >
class | std::iterator_traits< mia::range2d_iterator_with_boundary_flag< I > >
class | range2d_iterator< I >
class | range2d_iterator_with_boundary_flag< I >
| a 2D iterator that knows its position in the 2D grid ans supports iterating over sub-ranges More...

## Namespaces

namespace | std

## Functions

template<typename I>
bool | operator!= (const range2d_iterator< I > &a, const range2d_iterator< I > &b)
template<typename T>
bool | operator!= (const range2d_iterator_with_boundary_flag< T > &left, const range2d_iterator_with_boundary_flag< T > &right)
template<typename I>
bool | operator== (const range2d_iterator< I > &left, const range2d_iterator< I > &right)
template<typename T>
bool | operator== (const range2d_iterator_with_boundary_flag< T > &left, const range2d_iterator_with_boundary_flag< T > &right)

## Function Documentation

## operator!=() [1/2]

template<typename I>

bool operator!= | ( | const range2d_iterator< I > & | a,
|  | const range2d_iterator< I > & | b )

Compare two range iterators. There equivalence is only decided based on the grid position.

Definition at line 373 of file 2d/iterator.hh.

## operator!=() [2/2]

template<typename T>

bool operator!= | ( | const range2d_iterator_with_boundary_flag< T > & | left,
|  | const range2d_iterator_with_boundary_flag< T > & | right )

Definition at line 208 of file 2d/iterator.hh.

## operator==() [1/2]

template<typename I>

bool operator== | ( | const range2d_iterator< I > & | left,
|  | const range2d_iterator< I > & | right )

Compare two range iterators. There equivalence is only decided based on the grid position.

Definition at line 360 of file 2d/iterator.hh.

## operator==() [2/2]

template<typename T>

bool operator== | ( | const range2d_iterator_with_boundary_flag< T > & | left,
|  | const range2d_iterator_with_boundary_flag< T > & | right )

Definition at line 202 of file 2d/iterator.hh.